--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Use table truncate or delete for auto_migrate! to speed up test execution
- !ruby/struct:SM::Flow::P 
  body: "@param [Symbol] :truncate, :delete or :drop_and_create (or nil)"
- !ruby/struct:SM::Flow::VERB 
  body: "  do not specify parameter to return current value\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Symbol] current value of auto_migrate_with option (nil returned for :drop_and_create)"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Migrations::OracleAdapter::ClassMethods#auto_migrate_with
is_singleton: false
name: auto_migrate_with
params: (value = :not_specified)
visibility: public
